> For the complete documentation index, see [llms.txt](https://docs.bloqifi.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.bloqifi.com/reference/retrieval/chunk.md).

# Chunk

Making an call to the chunk endpoint

Get chunk of a file as hex string from transaction id on blockchain

## Retrieve chunk of blob.

<mark style="color:blue;">`GET`</mark> `https://api.bloqifi.com/v0/chunk/BLOCKCHAIN/TXID`

Retrieve a chunk of a hex string of a blob from txid.

#### Headers

| Name                                           | Type   | Description      |
| ---------------------------------------------- | ------ | ---------------- |
| Content-Type<mark style="color:red;">\*</mark> | String | application/json |

{% tabs %}
{% tab title="200: OK " %}

```
{
    hex: 'ee'
}
```

{% endtab %}

{% tab title="404: Not Found " %}

{% endtab %}
{% endtabs %}

{% tabs %}
{% tab title="JavaScript" %}

```javascript
const rawResponse = await fetch(`https://api.bloqifi.com/v0/chunk/${blockchain}/${txid}`, {
  method: 'GET',
  headers: {
    'Content-Type': 'application/json'
  }
});

const json = await rawResponse.json();

if (rawResponse.status === 200) {

  const op_return = json.hex.toString();
}
```

{% endtab %}

{% tab title="curl" %}

```
curl -H "Content-Type: application/json" \
https://api.bloqifi.com/v0/chunk/BLOCKCHAIN/TXID
```

{% endtab %}
{% endtabs %}

The output received from this endpoint is immutable, raw data compressed using `Brotli`, except in the case of IPFS, which is vanilla raw data.

{% hint style="info" %}
**Good to know:** You do not have to use Bloqifi endpoint for retrieving the hex op\_return string. Any block explorer with API can provide the hex you'll need.

All you need is your transaction ids in the correct order, to merge the chunks of your content.
{% endhint %}
